WP6AttributeOnGroup Class Reference documentation

WP6AttributeOnGroup Class Reference

`#include <WP6AttributeGroup.h>`

Inheritance diagram for WP6AttributeOnGroup:

## Public Member Functions
| WP6AttributeOnGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
void | parse (WP6Listener *listener) override
Public Member Functions inherited from WP6AttributeGroup
| WP6AttributeGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
unsigned char | getAttribute () const
Public Member Functions inherited from WP6FixedLengthGroup
| WP6FixedLengthGroup (unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()

## Additional Inherited Members
Static Public Member Functions inherited from WP6FixedLengthGroup
static WP6FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP6AttributeGroup
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
Protected Member Functions inherited from WP6FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Constructor & Destructor Documentation

## ◆ WP6AttributeOnGroup()

WP6AttributeOnGroup::WP6AttributeOnGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | groupID )

## Member Function Documentation

## ◆ parse()

void WP6AttributeOnGroup::parse | ( | WP6Listener * | listener | ) |
| overridevirtual

Implements WP6AttributeGroup.

The documentation for this class was generated from the following files:

- WP6AttributeGroup.h
- WP6AttributeGroup.cpp